Skip to main content
POST
/
api
/
uploads
/
dataset
/
init
Init Dataset Upload
curl --request POST \
  --url https://api.example.com/api/uploads/dataset/init \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "dataset_name": "<string>",
  "branch_name": "<string>",
  "dataset_type": "<string>",
  "dimension": "<string>",
  "image_specificity": "<string>",
  "webhook_url": "<string>",
  "webhook_on_complete": true,
  "webhook_on_failure": true
}
'
{}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-API-Key
string | null

Cookies

antidote_session
string | null

Body

application/json
dataset_name
string | null
branch_name
string | null
dataset_type
string | null
dimension
string | null
image_specificity
string | null
webhook_url
string | null
webhook_on_complete
boolean | null
webhook_on_failure
boolean | null

Response

Successful Response

The response is of type Response Init Dataset Upload Api Uploads Dataset Init Post · object.